All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class ColumnStyle

    com.sas.table.ColumnStyle

All Implemented Interfaces:
  com.sas.collection.PropertyBagChangedListener, com.sas.collection.PropertyBagChangedSource, com.sas.collection.PropertyBagInterface, com.sas.collection.StaticPropertyBagInterface, com.sas.DeepClonable, com.sas.PublicClonable, com.sas.util.Countable, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class ColumnStyle

A customizable set of column properties.

See CellStyle for more details.

See Also:
  `RowStyle`, Serialized Form

Field Summary
`static java.lang.String` | `ALIGNMENT_STRING` String used to identify the alignmentString property in the bag.
`static java.lang.String` | `DECIMAL_PLACES` String used to identify the decimalPlaces property in the bag.

Fields inherited from class com.sas.table.CellVectorStyle
`ALIGN_CELLS, CELLS_TO_SIZE_COUNT, DEFAULT_CELL_STYLE, DEFAULT_LABEL_STYLE, MAX_SIZE, MIN_SIZE, RESIZABLE, SIZE`

Constructor Summary
`ColumnStyle()`

Method Summary
`java.lang.String` | `getAlignmentString()` Returns the string, for example a decimal point ("."), to align a column of cells on.
`int` | `getDecimalPlaces()` Returns the number of decimal places to align a column of numbers on.
`boolean` | `isAlignmentStringSet()` Determines if the alignmentString property is in the bag.
`boolean` | `isDecimalPlacesSet()` Determines if the decimalPlaces property is in the bag.
`void` | `setAlignmentString(java.lang.String newValue)` Specifies the string, for example a decimal point ("."), to align a column of cells on.
`void` | `setDecimalPlaces(int newValue)` Specifies the number of decimal places to align a column of numbers on.
`void` | `unsetAlignmentString()` Removes the alignmentString property from the bag.
`void` | `unsetDecimalPlaces()` Removes the decimalPlaces property from the bag.

Methods inherited from class com.sas.table.CellVectorStyle
`getCellsToSizeCount, getDefaultCellStyle, getDefaultLabelStyle, getMaxSize, getMinSize, getSize, isAlignCells, isAlignCellsSet, isCellsToSizeCountSet, isDefaultCellStyleSet, isDefaultLabelStyleSet, isMaxSizeSet, isMinSizeSet, isResizable, isResizableSet, isSizeSet, setAlignCells, setCellsToSizeCount, setDefaultCellStyle, setDefaultLabelStyle, setMaxSize, setMinSize, setResizable, setSize, unsetAlignCells, unsetCellsToSizeCount, unsetDefaultCellStyle, unsetDefaultLabelStyle, unsetMaxSize, unsetMinSize, unsetResizable, unsetSize`

Field Detail

### ALIGNMENT_STRING

    public static final java.lang.String ALIGNMENT_STRING

  String used to identify the alignmentString property in the bag.

  See Also:
    Constant Field Values

### DECIMAL_PLACES

    public static final java.lang.String DECIMAL_PLACES

  String used to identify the decimalPlaces property in the bag.

  See Also:
    Constant Field Values

Constructor Detail

### ColumnStyle

    public ColumnStyle()

Method Detail

### getAlignmentString

    public java.lang.String getAlignmentString()

  Returns the string, for example a decimal point ("."), to align a column of cells on. This property is ignored unless the alignCells property is `true`.

  Returns:
    The value of the alignmentString property.
  See Also:
    `isAlignmentStringSet()`, `setAlignmentString(java.lang.String)`, `unsetAlignmentString()`, `CellVectorStyle.setAlignCells(boolean)`

### setAlignmentString

    public void setAlignmentString(java.lang.String newValue)

  Specifies the string, for example a decimal point ("."), to align a column of cells on. This property is ignored unless the alignCells property is `true`.

  Parameters:
    `newValue` - The new value to assign the alignmentString property.
  See Also:
    `getAlignmentString()`, `isAlignmentStringSet()`, `unsetAlignmentString()`, `CellVectorStyle.setAlignCells(boolean)`

### isAlignmentStringSet

    public boolean isAlignmentStringSet()

  Determines if the alignmentString property is in the bag.

  Returns:
    `true` if alignmentString has been set, and `false` otherwise.
  See Also:
    `getAlignmentString()`, `setAlignmentString(java.lang.String)`, `unsetAlignmentString()`

### unsetAlignmentString

    public void unsetAlignmentString()

  Removes the alignmentString property from the bag.

  See Also:
    `getAlignmentString()`, `isAlignmentStringSet()`, `setAlignmentString(java.lang.String)`

### getDecimalPlaces

    public int getDecimalPlaces()

  Returns the number of decimal places to align a column of numbers on. It provides a mechanism for aligning numbers that are known to have no more than so many decimal places without incurring the normal alignment overhead of pre-scanning and measuring the entire column. This property is ignored unless the alignCells property is `true`.

  Returns:
    The value of the decimalPlaces property.
  See Also:
    `isDecimalPlacesSet()`, `setDecimalPlaces(int)`, `unsetDecimalPlaces()`, `CellVectorStyle.setAlignCells(boolean)`

### setDecimalPlaces

    public void setDecimalPlaces(int newValue)

  Specifies the number of decimal places to align a column of numbers on. It provides a mechanism for aligning numbers that are known to have no more than so many decimal places without incurring the normal alignment overhead of pre-scanning and measuring the entire column.

  Parameters:
    `newValue` - The new value to assign the decimalPlaces property.
  See Also:
    `getDecimalPlaces()`, `isDecimalPlacesSet()`, `unsetDecimalPlaces()`, `CellVectorStyle.setAlignCells(boolean)`

### isDecimalPlacesSet

    public boolean isDecimalPlacesSet()

  Determines if the decimalPlaces property is in the bag.

  Returns:
    `true` if decimalPlaces has been set, and `false` otherwise.
  See Also:
    `getDecimalPlaces()`, `setDecimalPlaces(int)`, `unsetDecimalPlaces()`

### unsetDecimalPlaces

    public void unsetDecimalPlaces()

  Removes the decimalPlaces property from the bag.

  See Also:
    `getDecimalPlaces()`, `isDecimalPlacesSet()`, `setDecimalPlaces(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.